Package com.ngrok.services

# Class EdgesHttpsRoutes

java.lang.Object
com.ngrok.services.EdgesHttpsRoutes

public class EdgesHttpsRoutes extends Object
An API client for `EdgesHttpsRoutes`. See also https://ngrok.com/docs/api#api-edges-https-routes.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EdgesHttpsRoutes.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `EdgesHttpsRoutes.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `EdgesHttpsRoutes.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdgesHttpsRoutes(NgrokApiClient apiClient)`
  Creates a new sub-client for EdgesHttpsRoutes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EdgesHttpsRoutes.CreateCallBuilder`
  `create(String edgeId, String matchType, String match)`
  Create an HTTPS Edge Route See also https://ngrok.com/docs/api#api-edges-https-routes-create.
  `EdgesHttpsRoutes.DeleteCallBuilder`
  `delete(String edgeId, String id)`
  Delete an HTTPS Edge Route by ID See also https://ngrok.com/docs/api#api-edges-https-routes-delete.
  `EdgesHttpsRoutes.GetCallBuilder`
  `get(String edgeId, String id)`
  Get an HTTPS Edge Route by ID See also https://ngrok.com/docs/api#api-edges-https-routes-get.
  `EdgesHttpsRoutes.UpdateCallBuilder`
  `update(String edgeId, String id)`
  Updates an HTTPS Edge Route by ID.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EdgesHttpsRoutes

    public EdgesHttpsRoutes(NgrokApiClient apiClient)
    Creates a new sub-client for EdgesHttpsRoutes.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public EdgesHttpsRoutes.CreateCallBuilder create(String edgeId, String matchType, String match)
    Create an HTTPS Edge Route See also https://ngrok.com/docs/api#api-edges-https-routes-create.
    Parameters:
      `edgeId` - unique identifier of this edge
      `matchType` - Type of match to use for this route. Valid values are "exact_path" and "path_prefix".
      `match` - Route selector: "/blog" or "example.com" or "example.com/blog"
    Returns:
      a call builder for this API call

  - ### get

    public EdgesHttpsRoutes.GetCallBuilder get(String edgeId, String id)
    Get an HTTPS Edge Route by ID See also https://ngrok.com/docs/api#api-edges-https-routes-get.
    Parameters:
      `edgeId` - unique identifier of this edge
      `id` - unique identifier of this edge route
    Returns:
      a call builder for this API call

  - ### update

    public EdgesHttpsRoutes.UpdateCallBuilder update(String edgeId, String id)
    Updates an HTTPS Edge Route by ID. If a module is not specified in the update, it will not be modified. However, each module configuration that is specified will completely replace the existing value. There is no way to delete an existing module via this API, instead use the delete module API. See also https://ngrok.com/docs/api#api-edges-https-routes-update.
    Parameters:
      `edgeId` - unique identifier of this edge
      `id` - unique identifier of this edge route
    Returns:
      a call builder for this API call

  - ### delete

    public EdgesHttpsRoutes.DeleteCallBuilder delete(String edgeId, String id)
    Delete an HTTPS Edge Route by ID See also https://ngrok.com/docs/api#api-edges-https-routes-delete.
    Parameters:
      `edgeId` - unique identifier of this edge
      `id` - unique identifier of this edge route
    Returns:
      a call builder for this API call